const copy = {
  mounted(el, binding) {
    el.copyData = binding.value;
    el.addEventListener('click', handleClick);
  },
  updated(el, binding) {
    el.copyData = binding.value;
  },
  beforeUnmount(el) {
    el.removeEventListener('click', el.__handleClick__);
  },
};
function handleClick(that) {
  const input = document.createElement('input');
  input.value = that.copyData.toLocaleString();
  document.body.appendChild(input);
  input.select();
  document.execCommand('Copy');
  document.body.removeChild(input);
  console.log('复制成功', that.copyData);
}

export default copy;
